.gradient-bg {
    background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(9,121,78,1) 35%, rgba(0,212,255,1) 100%);
}

.spinner {
    display: inline-block;
    width: 30px;
    height: 30px;
    border: 4px solid rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    border-top-color: #fff;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.loading {
    pointer-events: none;
    cursor: not-allowed;
    opacity: 0.5;
}
.arrow-icon {
    transition: transform 0.3s ease;
}
.arrow-icon.rotate {
    transform: rotate(180deg);
}
.left-btn { float: left; }
.right-btn { float: right; }

/* Splash screen animation */
.splash-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    animation: fadeOut 2s ease-in-out forwards;
}

.splash-screen .content {
    text-align: center;
    color: #fff;
    font-size: 2rem;
}

@keyframes fadeOut {
    0% { opacity: 1; }
    90% { opacity: 1; }
    100% { opacity: 0; display: none; }
}

/* Fireworks animation */
.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); /* Dark background with opacity */
    z-index: 10; /* Ensure it appears above other content */
    justify-content: center;
    align-items: center;
}

.no-page-break {
    page-break-inside: avoid;
}
